Subject: Re: [PATCH v2] brcmfmac: Fix memory leak for unpaired brcmf_{alloc/free}

From: Kalle Valo <[email-masked]>
Date: Mon, 02 Nov 2020 19:46:00 +0200

Arend Van Spriel <[email-masked]> writes:

> On November 2, 2020 6:15:32 PM Kalle Valo <[email-masked]> wrote:
>
>> Seung-Woo Kim <[email-masked]> writes:
>>
>>> There are missig brcmf_free() for brcmf_alloc(). Fix memory leak
>>> by adding missed brcmf_free().
>>>
>>> Reported-by: Jaehoon Chung <[email-masked]>
>>> Fixes: commit 450914c39f88 ("brcmfmac: split brcmf_attach() and
>>> brcmf_detach() functions")
>>
>> This should be:
>>
>> Fixes: 450914c39f88 ("brcmfmac: split brcmf_attach() and
>> brcmf_detach() functions")
>>
>> But I can fix that, no need to resend because of this.
>
> Hi Kalle,
>
> But this is not the commit that needs fixing as I mentioned before.
> Instead it should be a1f5aac1765af ("brcmfmac: don't realloc wiphy
> during PCIe reset") which introduced the actual memory leak.

I'll then change it to:

Fixes: a1f5aac1765a ("brcmfmac: don't realloc wiphy during PCIe reset")

Is that ok?

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches